io.vertx.rxjava.core.http

## Class WebSocketFrame

- java.lang.Object
- - io.vertx.rxjava.core.http.WebSocketFrame

-     public class WebSocketFrame
      extends Object

  A WebSocket frame that represents either text or binary data.

  A WebSocket message is composed of one or more WebSocket frames.

  If there is a just a single frame in the message then a single text or binary frame should be created with final = true.

  If there are more than one frames in the message, then the first frame should be a text or binary frame with final = false, followed by one or more continuation frames. The last continuation frame should have final = true.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static TypeArg<WebSocketFrame>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WebSocketFrame(WebSocketFrame delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Buffer` | `binaryData()`
    `static WebSocketFrame` | `binaryFrame(Buffer data, boolean isFinal)` Create a binary WebSocket frame.
    `static WebSocketFrame` | `continuationFrame(Buffer data, boolean isFinal)` Create a continuation frame
    `boolean` | `equals(Object o)`
    `WebSocketFrame` | `getDelegate()`
    `int` | `hashCode()`
    `boolean` | `isBinary()`
    `boolean` | `isContinuation()`
    `boolean` | `isFinal()`
    `boolean` | `isText()`
    `static WebSocketFrame` | `newInstance(WebSocketFrame arg)`
    `static WebSocketFrame` | `pingFrame(Buffer data)` Create a ping WebSocket frame.
    `static WebSocketFrame` | `pongFrame(Buffer data)` Create a pong WebSocket frame.
    `String` | `textData()`
    `static WebSocketFrame` | `textFrame(String str, boolean isFinal)` Create a text WebSocket frame.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final TypeArg<WebSocketFrame> __TYPE_ARG

  - ### Constructor Detail

    - #### WebSocketFrame

          public WebSocketFrame(WebSocketFrame delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public WebSocketFrame getDelegate()

    - #### binaryFrame

          public static WebSocketFrame binaryFrame(Buffer data,
                                                   boolean isFinal)

      Create a binary WebSocket frame.
      Parameters:
        `data` - the data for the frame
        `isFinal` - true if it's the final frame in the WebSocket message
      Returns:
        the frame

    - #### textFrame

          public static WebSocketFrame textFrame(String str,
                                                 boolean isFinal)

      Create a text WebSocket frame.
      Parameters:
        `str` - the string for the frame
        `isFinal` - true if it's the final frame in the WebSocket message
      Returns:
        the frame

    - #### pingFrame

          public static WebSocketFrame pingFrame(Buffer data)

      Create a ping WebSocket frame. Will be a final frame. There is no option for non final ping frames.
      Parameters:
        `data` - the bytes for the frame, may be at most 125 bytes
      Returns:
        the frame

    - #### pongFrame

          public static WebSocketFrame pongFrame(Buffer data)

      Create a pong WebSocket frame. Will be a final frame. There is no option for non final pong frames.
      Parameters:
        `data` - the bytes for the frame, may be at most 125 bytes
      Returns:
        the frame

    - #### continuationFrame

          public static WebSocketFrame continuationFrame(Buffer data,
                                                         boolean isFinal)

      Create a continuation frame
      Parameters:
        `data` - the data for the frame
        `isFinal` - true if it's the final frame in the WebSocket message
      Returns:
        the frame

    - #### isText

          public boolean isText()

      Returns:
        true if it's a text frame

    - #### isBinary

          public boolean isBinary()

      Returns:
        true if it's a binary frame

    - #### isContinuation

          public boolean isContinuation()

      Returns:
        true if it's a continuation frame

    - #### textData

          public String textData()

      Returns:
        the content of this frame as a UTF-8 string and returns the converted string. Only use this for text frames.

    - #### binaryData

          public Buffer binaryData()

      Returns:
        the data of the frame

    - #### isFinal

          public boolean isFinal()

      Returns:
        true if this is the final frame.

    - #### newInstance

          public static WebSocketFrame newInstance(WebSocketFrame arg)

Copyright © 2017. All rights reserved.